Skip to main content
GET
/
v1
/
orgs
/
{org_id}
/
agents
/
{agent_id}
/
tools
List Agent Tools
curl --request GET \
  --url https://api.letpiper.com/v1/orgs/{org_id}/agents/{agent_id}/tools/ \
  --header 'Authorization: Bearer <token>'
{
  "tools": [
    {
      "tool": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "display_name": "<string>",
        "description": "<string>",
        "type": "<string>",
        "input_schema": {},
        "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "is_enabled": true
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Platform token (starts with pat_)

Path Parameters

org_id
string<uuid>
required
agent_id
string<uuid>
required

Query Parameters

limit
integer
default:100
Required range: 1 <= x <= 500
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

Response schema for agent tools.

tools
AgentToolAssignment · object[]
required
total
integer
required